# Class JPublishButtonApi

#### Hierarchy (View Summary)

- JBaseApi
  - JPublishButtonApi

- Defined in jamespot-user-api/src/apis/publishButton/publishButton.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getPublishButtonSections

## Constructors

### constructor

- new JPublishButtonApi(jApi: JamespotUserApi): JPublishButtonApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JPublishButtonApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getPublishButtonSections

- getPublishButtonSections(
  forceDefault?: boolean,
  options?: { signal?: AbortSignal },
  ): Promise<
  ApiWrapper<
  {
  entries: {
  dialog: boolean;
  favorite: boolean;
  type: string;
  url?: string;
  }[];
  label: string;
  }[],
  BaseMessages,
  >,
  >

  #### Parameters

  - `Optional` forceDefault: boolean
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<
  ApiWrapper<
  {
  entries: {
  dialog: boolean;
  favorite: boolean;
  type: string;
  url?: string;
  }[];
  label: string;
  }[],
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/publishButton/publishButton.ts:7